.fixed-nav {
  position: fixed;
  bottom: 2rem;
  right: 3.1rem;
  z-index: 300;

  .fixed-nav-button-area {
    display: flex;
    gap: 3.1rem;
  }

  .fixed-nav-button {

    &.top-button {
      opacity: 0;
      visibility: hidden;
      transition: all 0.3s;
      position: absolute;
      bottom: 7.2rem;
      right: -1rem;

      &.show {
        opacity: 1 !important;
        visibility: visible !important;
        pointer-events: auto;
      }
    }

    &.text {

      .nav-text {
        font-size: 1.4rem;
        font-weight: var(--font-weight-bold);
        color: var(--color-white);
        transition: all 0.3s;
        text-align: left;
      }

      .icon-default,
      .icon-hover {
        left: auto;
        right: 1.6rem;
      }
    }


    .icon-default {
      opacity: 1;
    }

    .icon-hover {
      opacity: 0;
    }


  }
}

#ch-plugin-messenger-iframe {
  right: 20px !important;
  bottom: calc(env(safe-area-inset-bottom) + 6px) !important;
}

@media screen and (max-width: 1024px) {
  .fixed-nav {
    right: 2rem;
    bottom: 10.4rem;

    >button {
      bottom: 8.4rem !important;
      right: 0 !important;
      width: 6rem;
      height: 6rem;

      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }

    .fixed-nav-button-area {
      gap: 16px;

      .fixed-nav-button {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 6rem;
        height: 6rem;
        border-radius: 60px;
        background: rgba(0, 0, 0, .4);
      }
    }
  }
}


@media screen and (max-width: 780px) {
  .fixed-nav {
    right: 12px;
    bottom: 85px;
  }
}

@media screen and (max-width: 600px) {
  .fixed-nav {
    .fixed-nav-button {

      &.text {

        .nav-text {
          font-size: 3vw;
        }


      }
    }
  }
}

@media screen and (max-width: 480px) {
  .floating-nav {
    height: 72px;
  }

  .fixed-nav {
    .fixed-nav-button {
      width: 40px;
      height: 40px;
      bottom: 50px !important;

      &.text {
        width: 40px;
        height: 40px;

        img {
          width: 21px;
          height: 21px;
        }
      }
    }
  }
}

@media screen and (max-width: 320px) {
  .fixed-nav {
    .fixed-nav-button {

      &.text {
        width: 3.6rem;
        height: 3.6rem;


      }
    }
  }
}